pidgin: _PurpleCertificateVerifier Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleCertificateVerifier Struct Reference

A set of operations used to provide logic for verifying a Certificate's authenticity. More...

`#include <certificate.h>`

## Data Fields
gchar * | scheme_name
| Name of the scheme this Verifier operates on.
gchar * | name
| Name of the Verifier - case insensitive.
void(* | start_verification )(PurpleCertificateVerificationRequest *vrq)
| Start the verification process.
void(* | destroy_request )(PurpleCertificateVerificationRequest *vrq)
| Destroy a completed Request under this Verifier The function pointed to here is only responsible for cleaning up whatever PurpleCertificateVerificationRequest::data points to.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

A set of operations used to provide logic for verifying a Certificate's authenticity.

A Verifier provider must fill out these fields, then register it using purple_certificate_register_verifier()

The (scheme_name, name) value must be unique for each Verifier - you may not register more than one Verifier of the same name for each Scheme

Definition at line 362 of file certificate.h.

## Field Documentation

## ◆ _purple_reserved1

void(* _PurpleCertificateVerifier::_purple_reserved1) (void)

Definition at line 396 of file certificate.h.

## ◆ _purple_reserved2

void(* _PurpleCertificateVerifier::_purple_reserved2) (void)

Definition at line 397 of file certificate.h.

## ◆ _purple_reserved3

void(* _PurpleCertificateVerifier::_purple_reserved3) (void)

Definition at line 398 of file certificate.h.

## ◆ _purple_reserved4

void(* _PurpleCertificateVerifier::_purple_reserved4) (void)

Definition at line 399 of file certificate.h.

## ◆ destroy_request

void(* _PurpleCertificateVerifier::destroy_request) (PurpleCertificateVerificationRequest *vrq)

Destroy a completed Request under this Verifier The function pointed to here is only responsible for cleaning up whatever PurpleCertificateVerificationRequest::data points to.

It should not call free(vrq)

Parameters

  vrq | Request to destroy

Definition at line 394 of file certificate.h.

## ◆ name

gchar* _PurpleCertificateVerifier::name

Name of the Verifier - case insensitive.

Definition at line 372 of file certificate.h.

## ◆ scheme_name

gchar* _PurpleCertificateVerifier::scheme_name

Name of the scheme this Verifier operates on.

The scheme will be looked up by name when a Request is generated using this Verifier

Definition at line 369 of file certificate.h.

## ◆ start_verification

void(* _PurpleCertificateVerifier::start_verification) (PurpleCertificateVerificationRequest *vrq)

Start the verification process.

To be called from purple_certificate_verify once it has constructed the request. This will use the information in the given VerificationRequest to check the certificate and callback the requester with the verification results.

Parameters

  vrq | Request to process

Definition at line 384 of file certificate.h.

The documentation for this struct was generated from the following file:

- certificate.h